@charset "UTF-8";

[role="checkbox"]{
    display:flex;
    align-items: center;
    padding: 0;
    height: 32px;
    cursor: pointer;
    outline: none;
    border: none;
    background-color: transparent;
    text-align: left;
    font-size: 12px;
}

[role="checkbox"] output{
    margin: 0 8px;
    font-size: 12px;
    color: #789;
    transition: var(--control-transition);
}

[role="checkbox"]:hover output{
    color: #012;
}

[role="checkbox"] [role="presentation"]{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 16px;
    height: 16px;
    min-width: 16px;
    min-height: 16px;
    max-width: 16px;
    max-height: 16px;

    position: relative;
    padding: 0;
    background-color: #08F;
    border-radius: 2px;
    box-sizing: content-box;
    transition: var(--control-transition);

}

[role="checkbox"] [role="img"]{
    stroke: transparent;
}

[role="checkbox"][aria-checked="true"] [role="img"] {
    stroke: #FFF;
}

[role="checkbox"] [role="img"]{
    display: block;
    width: 16px;
    height: 16px;
    min-width: 16px;
    min-height: 16px;
    max-width: 16px;
    max-height: 16px;
    margin: auto;
    padding: 0;
    border-radius: 2px;
    transition:
            stroke .15s ease-out;

}

[role="checkbox"] [role="presentation"]{
    stroke:#FFF;
}

[role="checkbox"][aria-checked="true"] output{
    color: #124;
}

[role="checkbox"]:hover [role="presentation"]{
    background-color: #04F;
    border-color: #04F;
    fill: #04F;
}